org.apache.cassandra.transport

## Class DataType.Codec

- java.lang.Object
- - org.apache.cassandra.transport.DataType.Codec

Enclosing class:
  DataType

    public static final class DataType.Codec
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Codec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pair<DataType,java.lang.Object>` `decodeOne(io.netty.buffer.ByteBuf body, ProtocolVersion version)`
`int` `oneSerializedSize(Pair<DataType,java.lang.Object> option, ProtocolVersion version)`
`void` `writeOne(Pair<DataType,java.lang.Object> option, io.netty.buffer.ByteBuf dest, ProtocolVersion version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Codec

    public Codec()

### Method Detail

#### decodeOne

    public Pair<DataType,java.lang.Object> decodeOne(io.netty.buffer.ByteBuf body,
                                                     ProtocolVersion version)

#### writeOne

    public void writeOne(Pair<DataType,java.lang.Object> option,
                         io.netty.buffer.ByteBuf dest,
                         ProtocolVersion version)

#### oneSerializedSize

    public int oneSerializedSize(Pair<DataType,java.lang.Object> option,
                                 ProtocolVersion version)